import { ApiProperty } from '@nestjs/swagger';
import { ADMIN_ROLE } from 'src/shared/enum/admin-role.enum';
import { UserStatus } from 'src/shared/enum/user-status.enum';

export class CreateAdminDto {
  @ApiProperty()
  email: string;

  @ApiProperty()
  idTown: number;

  @ApiProperty()
  password: string;

  @ApiProperty()
  name: string;

  @ApiProperty()
  lastName: string;

  role: ADMIN_ROLE = ADMIN_ROLE.ADMIN;
  status: UserStatus = UserStatus.ACTIVE;
}
