import { ApiProperty } from '@nestjs/swagger';
import { Available } from 'src/pointOfInterest/enum/available.enum';

export class GetPlaceDto {
  @ApiProperty()
  idTown: number;
  @ApiProperty()
  idPlace: number;
  @ApiProperty()
  name: string;
  @ApiProperty()
  description: string;
  @ApiProperty()
  available: Available;
  @ApiProperty()
  imageName: string;
  @ApiProperty()
  latitude: number;
  @ApiProperty()
  longitude: number;
  @ApiProperty()
  openAt: number;
  @ApiProperty()
  closeAt: number;
  @ApiProperty()
  startDate: Date;
  @ApiProperty()
  endDate: Date;
  @ApiProperty()
  categories: any[];

  @ApiProperty()
  address: string;
}
