import { ApiProperty } from '@nestjs/swagger';
import { Binary } from 'typeorm';

export class CreateTownReqDto {
  @ApiProperty()
  name: string;

  @ApiProperty({
    type: String,
    description: 'Language content for Spanish (es)',
  })
  descriptionES: string;

  @ApiProperty({
    type: String,
    description: 'Language content for English (en)',
  })
  descriptionEN: string;

  @ApiProperty({ type: 'string', format: 'binary' })
  image: Binary;
  @ApiProperty()
  state: number;
}
