import { Module } from '@nestjs/common';
import { TravelPlaceService } from './travel-place.service';
import { TravelPlaceController } from './travel-place.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { TravelPlace } from './entities/travel-place.entity';
import { Place } from 'src/place/entities/place.entity';
import { Route } from 'src/route/entities/route.entity';

@Module({
  controllers: [TravelPlaceController],
  providers: [TravelPlaceService],
  imports: [TypeOrmModule.forFeature([TravelPlace, Place, Route])],
})
export class TravelPlaceModule {}
