import { PlaceInfoEntity } from "../../../place/domain/entities/place_info_entity";


export interface ActivityInfoEntity extends PlaceInfoEntity {
    available: string;
    townId: number;
    location: string;
    tags?: string[];
}

export interface ActivityRouteEntity extends PlaceInfoEntity {
    townId: number;
    location: string;
    coordinates: {
        latitude: number;
        longitude: number;
    };
    tags?: string[];
    startTime: Date;
    endTime: Date;
    done: boolean;
}