import { RegisterInfoEntity } from "../../../domain/entities/register_info";
import { RegisterUserModel } from "../models/register_user_model";

export const userRegisterEntityToUserRegisterModel: (user: RegisterInfoEntity) => RegisterUserModel = (user) => {
    return {
        email: user.email,
        password: user.password,
        name: user.name,
        lastName: user.lastName,
        birthDate: user.birthdate
    }
}