import { FullPageMessageModal } from "../full_page_message_modal";
import { Text } from "react-native";

interface ServerConnectionErrorModalProps {
  isErrorModalVisible: boolean;
  closeErrorModal: () => void;
}

export const ServerConnectionErrorModal = ({
  isErrorModalVisible,
  closeErrorModal,
}: ServerConnectionErrorModalProps) => {
  return (
    <FullPageMessageModal
      isVisible={isErrorModalVisible}
      onDismiss={() => closeErrorModal()}
    >
      <Text>Error de conexión, intente más tarde</Text>
    </FullPageMessageModal>
  );
};
