interface Theme {
    color: {
        primary: string;
        secondary: string;
        terciary: string;
        background: string;
        white: string;
        black: string;
    };
    fontSize: {
        small: string;
        medium: string;
        large: string;
    };
}

export const LIGHT_THEME: Theme = {
    color: {
        primary: "rgb(235, 73, 161)",
        secondary: "#333333",
        terciary: "#e1e1e1",
        background: "#f5f5f5",
        white: "white",
        black: "black",
    },
    fontSize: {
        small: "12px",
        medium: "16px",
        large: "24px",
    },
};