import { Entypo } from '@expo/vector-icons';
import { TouchableOpacity } from 'react-native-gesture-handler';
import { useTranslation } from 'react-i18next';
import { useLang } from '../hooks/useLang';

export const LanguageIcon = () => {
    const { toggleLanguage } = useLang();
    return (
        <TouchableOpacity onPress={toggleLanguage}>
            <Entypo name="language" size={24} color="black" />
        </TouchableOpacity>
    );
}