import { Lang } from "./lang";

export const ENGLISH_LANG: Lang = {
  loginScreen: {
    title: "Login",
    loginButton: "Login",
    registerButton: "Register",
  },
  registerScreen: {
    title: "Register",
    loginButton: "Login",
    registerButton: "Register",
  },
  homeScreen: {
    title: "Home",
  },
  travelHistoryScreen: {
    title: "Travel history",
    activeTravelsLabel: "Active travels",
    pastTravelsLabel: "Past travels",
    noTravelsLabel: "No travels",
  },
  accountScreen: {
    title: "Account",
    logoutButton: "Logout",
    changePasswordButton: "Change password",
    changeLanguageButton: "Change App Language",
    changeMyInterestsButton: "Change my interests",
    aboutUsButton: "About the app",
    selectLanguage: "Select language",
    saveButton: "Save",
  },
  changePasswordScreen: {
    title: "Change password",
    saveButton: "Save",
  },
  selectTownScreen: {
    title: "Select Town",
    descriptionText: "Description",
  },
  selectTownActivityScreen: {
    title: "Select Activity",
    generateRouteButton: "Generate route",
  },
  activityInfoScreen: {
    doActivityButton: "Do activity",
    descriptionText: "Description",
    showMoreButton: "Show more",
    showLessButton: "Show less",
    noDesciptionFound: "No description found",
  },
  scanScreen: {
    title: "Scan QR code",
  },
  tabBar: {
    homeLabel: "Home",
    travelHistoryLabel: "Travel history",
    accountLabel: "Account",
  },
  forms: {
    email: "Email",
    password: "Password",
    confirmPassword: "Confirm password",
    name: "Name",
    lastName: "Last name",
    dateOfBirth: "Date of birth",
    startTime: "Start time",
    endTime: "End time",
  },
  generateRouteScreen: {
    title: "Generate route",
    descriptionText: "Description",
    generateRouteButton: "Generate route",
  },
  routePreviewScreen: {
    title: "Route preview",
    startDayLabel: "Start day",
    endDayLabel: "End day",
    saveRouteButton: "Save route",
  },
  formsErrors: {
    invalidEmailFormat: "Invalid email format",
    requiredField: "Required field",
    passwordNotMatch: "Passwords do not match",
    emailAlreadyInUse: "Email already in use",
  },
  common: {
    or: "or",
    descriptionLabel: "Description",
    showMore: "Show more",
  },
};
