export interface Lang {
  loginScreen: {
    title: string;
    loginButton: string;
    registerButton: string;
  };
  registerScreen: {
    title: string;
    loginButton: string;
    registerButton: string;
  };
  homeScreen: {
    title: string;
  };
  travelHistoryScreen: {
    title: string;
    activeTravelsLabel: string;
    pastTravelsLabel: string;
    noTravelsLabel: string;
  };
  accountScreen: {
    title: string;
    logoutButton: string;
    changeLanguageButton: string;
    changePasswordButton: string;
    changeMyInterestsButton: string;
    aboutUsButton: string;
    selectLanguage: string;
    saveButton: string;
  };
  changePasswordScreen: {
    title: string;
    saveButton: string;
  };
  selectTownScreen: {
    title: string;
    descriptionText: string;
  };
  selectTownActivityScreen: {
    title: string;
    generateRouteButton: string;
  };
  activityInfoScreen: {
    doActivityButton: string;
    descriptionText: string;
    showMoreButton: string;
    showLessButton: string;
    noDesciptionFound: string;
  };
  scanScreen: {
    title: string;
  };
  generateRouteScreen: {
    title: string;
    descriptionText: string;
    generateRouteButton: string;
  };
  routePreviewScreen: {
    title: string;
    startDayLabel: string;
    endDayLabel: string;
    saveRouteButton: string;
  };
  tabBar: {
    homeLabel: string;
    travelHistoryLabel: string;
    accountLabel: string;
  };
  forms: {
    email: string;
    password: string;
    confirmPassword: string;
    name: string;
    lastName: string;
    dateOfBirth: string;
    startTime: string;
    endTime: string;
  };
  formsErrors: {
    invalidEmailFormat: string;
    requiredField: string;
    passwordNotMatch: string;
    emailAlreadyInUse: string;
  };
  common: {
    or: string;
    descriptionLabel: string;
    showMore: string;
  };
}
