import { API_URL } from "../../../common/const/api";
import { StateEntity } from "../../domain/entities/state_entity";
import { StateModel } from "../models/states_model";

export const stateModelToEntity = (stateModel: StateModel): StateEntity => {
    return {
        id: stateModel.stateId,
        name: stateModel.name,
        imageUri: stateModel.imageURL
    }
}