import { API_URL } from "../../../common/const/api";
import { TownEntity } from "../../domain/entities/town_entity";
import { TownModel } from "../models/town_model";

export const townModelToEntity = (townModel: TownModel): TownEntity => {
    return {
        id: townModel.townId,
        name: townModel.name,
        imageUri: townModel.imageName,
        description: townModel.description,
        stateId: townModel.stateId
    }
}