import { IOption } from "../../../common/domain/entities/option";

export interface ProfileRepository {
    getInterests: () => Promise<IOption[]>;
    getUserInterests: () => Promise<IOption[]>;
    saveInterests: (options: IOption[]) => Promise<void>;
    setUpProfile: (birthdate: string, interests: IOption[]) => Promise<void>;
    changePassword: (oldPassword: string, newPassword: string) => Promise<void>;
}; 