import SVG, { Circle, Polygon } from 'react-native-svg';

interface SVGMarkerProps {
  color: string;
}

export const SVGMarker = ({ color }: SVGMarkerProps) => {
    return (
      <SVG height="75" width="37.5">
        <Polygon
          points="1.5,22.5 18.75,75 36,22.5"
          fill={color}
          stroke="black"
          strokeWidth="0.75"
        />
        <Circle
          cx="18.75"
          cy="18.75"
          r="18"
          fill={color}
          stroke="black"
          strokeWidth="0.75"
        />
      </SVG>
    );
  };