import { View, Text, StyleSheet } from "react-native";
import { FloatingEndActionButton } from "../../common/components/floating_end_action_button";
import { router } from "expo-router";

export const DownloadImageError = () => {
    return (
        <View style={styles.container}>
            <Text>Error downloading image</Text>
            <FloatingEndActionButton title="Exit" onPress={() => router.dismissAll()}/>
        </View>
    );
}

const styles = StyleSheet.create({
    container: {
        flex: 1,
        justifyContent: "center",
        alignItems: "center",
    },
});