/**
 * API route for admin operations.
 */
export const API_ROUTE_ADMIN = "/admin";

/**
 * API route for admin signup.
 */
export const API_ROUTE_ADMIN_SIGNUP = API_ROUTE_ADMIN + "/signup";

/**
 * API route for admin signin.
 */
export const API_ROUTE_ADMIN_SIGNIN = API_ROUTE_ADMIN + "/signin";

/**
 * API route for changing admin password.
 */
export const API_ROUTE_ADMIN_CHANGE_PASSWORD =
  API_ROUTE_ADMIN + "/change-password";

/**
 * API route for resetting admin password.
 */
export const API_ROUTE_ADMIN_RESET_PASSWORD =
  API_ROUTE_ADMIN + "/reset-password";

/**
 * API route for generating admin reset code.
 */
export const API_ROUTE_ADMIN_GENERATE_RESET_CODE =
  API_ROUTE_ADMIN + "/get-reset-code";

/**
 * API route for getting admin information.
 */
export const API_ROUTE_ADMIN_WHOAMI = API_ROUTE_ADMIN + "/whoami";

/**
 * API route for state operations.
 */
export const API_ROUTE_STATE = "/state";

/**
 * API route for point operations.
 */
export const API_ROUTE_POINT = "/point";

/**
 * API route for place operations.
 */
export const API_ROUTE_PLACE = "/place";
