/**
 * Enum representing the different user roles.
 */
export enum UserRole {
    ADMIN = "admin", // Admin role
    SUPERADMIN = "superadmin", // Super admin role
}

/**
 * Constant representing the super admin role.
 */
export const SUPERADMIN_ROLE = UserRole.SUPERADMIN;

/**
 * Constant representing the admin role.
 */
export const ADMIN_ROLE = UserRole.ADMIN;