/**
 * Interface representing an admin model.
 */
export interface AdminModel {
  /** Email of the admin */
  email: string;
  /** First name of the admin */
  name: string;
  /** Last name of the admin */
  lastName: string;
  /** Optional role of the admin */
  role?: string;
  /** Optional unique identifier for the town */
  idTown?: number;
  /** Status of the admin */
  status: string;
}