/**
 * Interface representing a category model.
 */
export interface CategoryModel {
  /** Unique identifier for the category */
  idCategory: number;
  /** Name of the category */
  name: string;
}

/**
 * Interface representing a category model with language information.
 */
export interface CategoryModelLan {
  /** Unique identifier for the category */
  idCategory: number;
  /** Language of the category name */
  language: string;
  /** Name of the category */
  name: string;
}