/**
 * Interface representing a state model.
 */
export interface StateModel {
  /** Unique identifier for the state */
  stateId: number;
  /** Name of the state */
  name: string;
  /** URL of the image representing the state */
  imageURL: string;
}
