import { ApiProperty } from '@nestjs/swagger';

export interface UserResetPasswordDto {
  email: string;
  resetCode: string;
  newPassword: string;
}

export class UserResetPasswordBody {
  @ApiProperty()
  email: string;
  @ApiProperty()
  resetCode: string;
  @ApiProperty()
  newPassword: string;
}

export class UserRequestCodeBody {
  @ApiProperty()
  email: string;
}

export class UserConfirmEmailBody {
  @ApiProperty()
  code: string;
}
