import { Column, Entity, PrimaryColumn, PrimaryGeneratedColumn } from 'typeorm';

@Entity()
export class Category {
  @PrimaryGeneratedColumn()
  idCategory: number;

  @PrimaryColumn({ nullable: false, primary: true })
  language: string;

  @Column({ nullable: false })
  name: string;
}
