import { Category } from 'src/category/entities/category.entity';
import { Available } from 'src/pointOfInterest/enum/available.enum';
import { Town } from 'src/town/entities/town.entity';

export class CreatePlaceDto {
  available: Available;
  name: string;
  imageName: string;
  town: Town;
  latitude: 'decimal';
  longitude: 'decimal';
  address: string;
  openAt: number;
  closeAt: number;
  categories: Category[];
}
