import { Module } from '@nestjs/common';
import { StateService } from './state.service';
import { State } from './entities/state.entity';
import { TypeOrmModule } from '@nestjs/typeorm';
import { StateController } from './state.controller';

@Module({
  controllers: [StateController],
  providers: [StateService],
  imports: [TypeOrmModule.forFeature([State])],
  exports: [StateService],
})
export class StateModule {}
