import { Entity, Column, PrimaryColumn, ManyToOne } from 'typeorm';
import { Town } from './town.entity';
import { LANGUAGES } from 'src/shared/enum/languages.enum';
@Entity()
export class TownTraduction {
  @PrimaryColumn({ name: 'townId' })
  @ManyToOne(() => Town, (town) => town.townId)
  townId: number;
  @PrimaryColumn()
  language: LANGUAGES;

  @Column({ length: 1024 })
  description: string;
}
