import { ActivityDataSource } from "../../../domain/datasources/activity_datasource";
import { ActivityPlaceEntity } from "../../../domain/entities/activity_place_entity";

export class ActivityDatasourceDev implements ActivityDataSource {
    async rankActivity(activityId: number, rank: number): Promise<void> {
        
    }
    async getPlaceActivity(activityId: number, townId: number, stateId: number, placeNumber: number): Promise<ActivityPlaceEntity> {
        return new Promise((resolve) => {
            resolve(placeActivities.find(place => place.idPlace === activityId && place.number === placeNumber) as ActivityPlaceEntity);
        });
    }

}

const placeActivities: ActivityPlaceEntity[] = [
    {
        idPlaceActivity: 1,
        name: "Puerta del santuario de Nuestra Señora de la Soledad",
        number: 1,
        idPlace: 1,
        imageUrl: "https://fastly.4sqi.net/img/general/200x200/50314270_u7Rp3Fk5Z9eaNC24PzKmzZ2iBOublx1bVaqDHE8TNFM.jpg",
        content: {
            content: "La puerta del santuario de Nuestra Señora de la Soledad es un lugar de culto católico en Jerez de García Salinas, Zacatecas, México. Es un lugar de peregrinación y oración para los fieles católicos.",
            speakUrl: "https://www.google.com"
        }
    },
];