import { View, Text, StyleSheet } from "react-native";
import { LIGHT_THEME } from "../../const/theme";
import { useTranslation } from "react-i18next";

export const OrDivision = () => {
  const LANG = useTranslation();
  return (
    <View style={styles.orDivision}>
      <Text style={styles.orText}>{LANG.t('common.or')}</Text>
    </View>
  );
};

const styles = StyleSheet.create({
    orDivision: {
        marginVertical: 30,
        borderTopWidth: 2,
        borderTopColor: LIGHT_THEME.color.black,
        alignItems: "center",
      },
      orText: {
        fontSize: 16,
        marginTop: -12,
        backgroundColor: LIGHT_THEME.color.white,
        width: 40,
        textAlign: "center",
      },
});