import { Lang } from "./lang";

export const SPANISH_LANG: Lang = {
  loginScreen: {
    title: "Iniciar sesión",
    loginButton: "Iniciar sesión",
    registerButton: "Registrarse",
  },
  registerScreen: {
    title: "Registrarse",
    loginButton: "Iniciar sesión",
    registerButton: "Registrarse",
  },
  homeScreen: {
    title: "Inicio",
  },
  travelHistoryScreen: {
    title: "Historial de viajes",
    activeTravelsLabel: "Viajes activos",
    pastTravelsLabel: "Viajes pasados",
    noTravelsLabel: "No hay viajes",
  },
  accountScreen: {
    title: "Cuenta",
    logoutButton: "Cerrar sesión",
    changePasswordButton: "Cambiar contraseña",
    changeLanguageButton: "Cambiar idioma de la aplicación",
    changeMyInterestsButton: "Cambiar mis intereses",
    aboutUsButton: "Acerca de la aplicación",
    selectLanguage: "Seleccionar idioma",
    saveButton: "Guardar",
  },
  changePasswordScreen: {
    title: "Cambiar contraseña",
    saveButton: "Guardar",
  },
  selectTownScreen: {
    title: "Seleccionar Pueblo",
    descriptionText: "Descripción",
  },
  selectTownActivityScreen: {
    title: "Seleccionar Actividad",
    generateRouteButton: "Generar ruta",
  },
  activityInfoScreen: {
    doActivityButton: "Hacer actividad",
    descriptionText: "Descripción",
    showMoreButton: "Mostrar más",
    showLessButton: "Mostrar menos",
    noDesciptionFound: "No se encontró la descripción del lugar",
  },
  scanScreen: {
    title: "Escanear código QR",
  },
  generateRouteScreen: {
    title: "Generar ruta",
    descriptionText: "Descripción",
    generateRouteButton: "Generar ruta",
  },
  routePreviewScreen: {
    title: "Vista previa de la ruta",
    startDayLabel: "Día de inicio",
    endDayLabel: "Día de finalización",
    saveRouteButton: "Guardar ruta",
  },
  tabBar: {
    homeLabel: "Inicio",
    travelHistoryLabel: "Historial de viajes",
    accountLabel: "Cuenta",
  },
  forms: {
    email: "Correo electrónico",
    password: "Contraseña",
    confirmPassword: "Confirmar contraseña",
    name: "Nombre",
    lastName: "Apellido",
    dateOfBirth: "Fecha de nacimiento",
    endTime: "Hora de finalización",
    startTime: "Hora de inicio",
  },
  formsErrors: {
    invalidEmailFormat: "Formato de correo electrónico inválido",
    requiredField: "Campo requerido",
    passwordNotMatch: "Las contraseñas no coinciden",
    emailAlreadyInUse: "Correo electrónico ya en uso",
  },
  common: {
    or: "o",
    descriptionLabel: "Descripción",
    showMore: "Mostrar más",
  },
};
