import { ActivityRouteEntity } from "../../../activity/domain/entities/activity_info_entity";
import { RouteEntity } from "../entities/route";

export interface RouteDataSource {
  generateRoute: (
    townId: number,
    startTime: number,
    endTime: number
  ) => Promise<number>;
  getRoute: (routeId: number) => Promise<RouteEntity>;
  saveRoute: (id: number) => Promise<void>;
}
