import {
  ActivityInfoEntity,
  ActivityRouteEntity,
} from "../../../../activity/domain/entities/activity_info_entity";
import { RouteDataSource } from "../../../domain/datasource/route_datasource";
import { RouteEntity } from "../../../domain/entities/route";

export class RouteDataSourceDev implements RouteDataSource {
  async saveRoute(id: number): Promise<void> {
    return new Promise((resolve) => {
      return resolve();
    });
  }
  async generateRoute(
    townId: number,
    startTime: number,
    endTime: number
  ): Promise<number> {
    return 4;
  }
  async getRoute(routeId: number): Promise<RouteEntity> {
    return {} as RouteEntity;
  }
}

const activities: ActivityInfoEntity[] = [
  {
    id: 1,
    name: "Santuario de Nuestra Señora de la Soledad",
    description: "Santuario de Nuestra Señora de la Soledad en Jerez",
    townId: 1,
    available: "Todo el año",
    location: "Jerez, Zacatecas",
    imageUri:
      "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSAOt4JS0AzrMsxDp0caz26vuanMq692g17nbI6-_nycw&s",
    tags: ["Religioso", "Turismo"],
  },
  {
    id: 2,
    name: "Feria de la tostada",
    description: "Feria de la tostada en Jerez",
    townId: 1,
    available: "Septiembre",
    location: "Jerez, Zacatecas",
    imageUri:
      "https://www.liderempresarial.com/wp-content/uploads/2022/08/WhatsApp-Image-2022-08-03-at-4.14.35-PM-856x570.jpeg",
    tags: ["Feria", "Tostada"],
  },
];
