import { CategoryModel } from "../../../profile/infrastructure/model/categorie_model";

export interface RouteModel {
  town: {
    townId: number;
    name: string;
    imageName: string;
  };
  endDate: string;
  idRoute: number;
  startDate: string;
  status: string;
  travelPlace: TravelPlace[];
}

export interface TravelPlace {
  done: boolean;
  endDate: string;
  place: PlaceRouteModel;
  startDate: string;
  travelPlaceId: number;
}

export interface PlaceRouteModel {
  address: string;
  available: string;
  closeAt: number;
  idPlace: number;
  imageName: string;
  latitude: string;
  longitude: string;
  name: string;
  openAt: number;
  categories: CategoryModel[];
}
