/**
 * Enum representing the different panels available for an admin user.
 */
export enum AdminSelectedPanel {
  TOWN_INFO = "town_info", // Panel for town information
  PLACES = "places", // Panel for places
  POINT_OF_INTEREST = "point_of_interest" // Panel for points of interest
}

/**
 * Enum representing the different panels available for a super admin user.
 */
export enum SuperAdminSelectedPanel {
  TOWNS = "towns", // Panel for towns
  ADMINS = "admins", // Panel for admins
  CATEGORIES = "categories" // Panel for categories
}