import React, { HTMLAttributes } from "react";
import "./assets/css/styles.css";

// LoadingSpinner component renders a simple loading spinner using a div with a CSS class.
export const LoadingSpinner :React.FC<HTMLAttributes<HTMLDivElement>> = () => {
    return (
        // The spinner is styled using CSS in the styles.css file.
        <div className="spinner"/>
    );
}